<?php
/*
Plugin Name: Ashley's WordPress Library
Plugin URI: https://amcgowan.co.uk/wp-content/uploads/projects-awp/ash-wp/info.json
description: A collection of basic functionality that i always use accross all plugins.
Version: 0.0.4
Author: Ashley McGowan
Author URI: https://amcgowan.co.uk/
License: GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: ash-wp
*/

/**
 * UPDATES:
 * 
 * fixed options.php from being blocked by page check when submitting admin options.
 * Removed old ConfigModule.php and updated to use /classes/ConfigPage.php
 * Refactored info-module to inherit from ConfigPage and renamed it /config-page.php.
 * fixed config-page === checking not workign because databse doesnt return correct bool type.
 * Added to page-loading-moule, the site_enqueue_scripts hook that fires on both admin and (wp)frontent.
 *  
 * 
 * 
 * TODO:
 * refactor cleanup module, move some functions to debug-module
 * add to debug module, hide menu background.
 * add debug module, wp debug output.
 * Move DBTable to classes
 * refactor form-module, make field specific functions private.
 * 
 * 
 * Documentation:
 * 
 * App.php = The entry point for this plugin, a singleton that handles install, updates and allows access to features.
 *      \awp\App()::Instance()
 * 
 * Modules/ = collection of related functions that can be accessed through App:Instance();
 *      ->RegisterModule("moduleName"); //
 *      ->functionFromModule(); //after registering, functions are availble stright from the App singlton.
 * 
 * Classes/ = Object that can be used with multiple functionality
 * 
 * Module = all modules should inherit from this, allows for custom modules to be made, gives the modules access to
 *      ->app // the singleton, this may be overriden in constructor.
 *      ->RequireMod("moduleName");
 *           
 * moduleName = start of file name without -module.php
 * 
 * 
 * 
 * */


define("AWP_VERSION", "0.0.4");
define("AWP_PATH", plugin_dir_path(__FILE__));
define("AWP_URL", plugin_dir_url(__FILE__));
define("AWP_URI", AWP_URL);

define("AWP_UPDATE_URL", "https://amcgowan.co.uk/wp-content/uploads/projects-awp/ash-wp/info.json");

require_once "app.php";
$awpHandle = \awp\App::Instance();
//$awpHandle->RegisterModule("info");





?>